using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Shride.Models;
using System;

namespace Shride.Controllers
{
    [Authorize]
    public class AccountController : Controller
    {
        private IRideRepository repository;

        public AccountController(IRideRepository repo)
        {
            repository = repo;
        }
        public IActionResult AccountSettings()
        {
            return View();
        }

        public IActionResult CreateEvent()
        {
            return View();
        }
        public IActionResult Dashboard()  // Behöver göra klart inlogg innan login skickar vidare användaren till dashboard, så den får stanna i Home-mappen tillsvidare
        {
            return View();
        }

        public IActionResult DeleteAccount()
        {
            return View();
        }
    }
}
